Masumi Logo

/inbox-agents

Permanently deletes an inbox registration record from the database. This action is irreversible and should only be used for registrations in specific failed or completed states.

DELETE
/inbox-agents
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X DELETE "https://loading/./../api/v1/inbox-agents" \  -H "Content-Type: application/json" \  -d '{    "id": "example_id"  }'
{
  "status": "success",
  "data": {
    "error": null,
    "id": "inbox_registry_id",
    "name": "Inbox Agent",
    "description": "Masumi inbox identity registration",
    "agentSlug": "inbox-agent",
    "state": "RegistrationRequested",
    "createdAt": "1970-01-20T20:00:36.260Z",
    "updatedAt": "1970-01-20T20:00:36.260Z",
    "lastCheckedAt": null,
    "agentIdentifier": "policy_id_asset_name_policy_id_asset_name_policy_id_asset_name",
    "metadataVersion": 1,
    "sendFundingLovelace": null,
    "SmartContractWallet": {
      "walletVkey": "wallet_vkey",
      "walletAddress": "wallet_address"
    },
    "RecipientWallet": null,
    "CurrentTransaction": null
  }
}
Masumi Kanji